Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaed2

    java.lang.Object
      org.netlib.lapack.Slaed2

    public class Slaed2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAED2 merges the two sets of eigenvalues together into a single
     *  sorted set.  Then it tries to deflate the size of the problem.
     *  There are two ways in which deflation can occur:  when two or more
     *  eigenvalues are close together or if there is a tiny entry in the
     *  Z vector.  For each such occurrence the order of the related secular

     *  equation problem is reduced by one.
     *
     *  Arguments
     *  =========
     *
     *  K      (output) INTEGER
     *         The number of non-deflated eigenvalues, and the order of the
     *         related secular equation. 0 <= K <=N.
     *
     *  N      (input) INTEGER
     *         The dimension of the symmetric tridiagonal matrix.  N >= 0.
     *
     *  N1     (input) INTEGER
     *         The location of the last eigenvalue in the leading sub-matrix.
     *         min(1,N) <= N1 <= N/2.
     *
     *  D      (input/output) REAL array, dimension (N)
     *         On entry, D contains the eigenvalues of the two submatrices to
     *         be combined.
     *         On exit, D contains the trailing (N-K) updated eigenvalues
     *         (those which were deflated) sorted into increasing order.
     *
     *  Q      (input/output) REAL array, dimension (LDQ, N)
     *         On entry, Q contains the eigenvectors of two submatrices in
     *         the two square blocks with corners at (1,1), (N1,N1)
     *         and (N1+1, N1+1), (N,N).
     *         On exit, Q contains the trailing (N-K) updated eigenvectors
     *         (those which were deflated) in its last N-K columns.
     *
     *  LDQ    (input) INTEGER
     *         The leading dimension of the array Q.  LDQ >= max(1,N).
     *
     *  INDXQ  (input/output) INTEGER array, dimension (N)
     *         The permutation which separately sorts the two sub-problems
     *         in D into ascending order.  Note that elements in the second
     *         half of this permutation must first have N1 added to their
     *         values. Destroyed on exit.
     *
     *  RHO    (input/output) REAL
     *         On entry, the off-diagonal element associated with the rank-1

     *         cut which originally split the two submatrices which are now
     *         being recombined.
     *         On exit, RHO has been modified to the value required by
     *         SLAED3.
     *
     *  Z      (input) REAL array, dimension (N)
     *         On entry, Z contains the updating vector (the last
     *         row of the first sub-eigenvector matrix and the first row of
     *         the second sub-eigenvector matrix).
     *         On exit, the contents of Z have been destroyed by the updating
     *         process.
     *
     *  DLAMDA (output) REAL array, dimension (N)
     *         A copy of the first K eigenvalues which will be used by
     *         SLAED3 to form the secular equation.
     *
     *  W      (output) REAL array, dimension (N)
     *         The first k values of the final deflation-altered z-vector
     *         which will be passed to SLAED3.
     *
     *  Q2     (output) REAL array, dimension (N1**2+(N-N1)**2)
     *         A copy of the first K eigenvectors which will be used by
     *         SLAED3 in a matrix multiply (SGEMM) to solve for the new
     *         eigenvectors.
     *
     *  INDX   (workspace) INTEGER array, dimension (N)
     *         The permutation used to sort the contents of DLAMDA into
     *         ascending order.
     *
     *  INDXC  (output) INTEGER array, dimension (N)
     *         The permutation used to arrange the columns of the deflated
     *         Q matrix into three groups:  the first group contains non-zero
     *         elements only at and above N1, the second contains
     *         non-zero elements only below N1, and the third is dense.
     *
     *  INDXP  (workspace) INTEGER array, dimension (N)
     *         The permutation used to place deflated values of D at the end

     *         of the array.  INDXP(1:K) points to the nondeflated D-values
     *         and INDXP(K+1:N) points to the deflated eigenvalues.
     *
     *  COLTYP (workspace/output) INTEGER array, dimension (N)
     *         During execution, a label which will indicate which of the
     *         following types a column in the Q2 matrix is:
     *         1 : non-zero in the upper half only;
     *         2 : dense;
     *         3 : non-zero in the lower half only;
     *         4 : deflated.
     *         On exit, COLTYP(i) is the number of columns of type i,
     *         for i=1 to 4 only.
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Jeff Rutter, Computer Science Division, University of California
     *     at Berkeley, USA
     *  Modified by Francoise Tisseur, University of Tennessee.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slaed2()`

Method Summary
`static void` | `slaed2(intW k, int n, int n1, float[] d, int _d_offset, float[] q, int _q_offset, int ldq, int[] indxq, int _indxq_offset, floatW rho, float[] z, int _z_offset, float[] dlamda, int _dlamda_offset, float[] w, int _w_offset, float[] q2, int _q2_offset, int[] indx, int _indx_offset, int[] indxc, int _indxc_offset, int[] indxp, int _indxp_offset, int[] coltyp, int _coltyp_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slaed2

    public Slaed2()

Method Detail

### slaed2

    public static void slaed2(intW k,
                              int n,
                              int n1,
                              float[] d,
                              int _d_offset,
                              float[] q,
                              int _q_offset,
                              int ldq,
                              int[] indxq,
                              int _indxq_offset,
                              floatW rho,
                              float[] z,
                              int _z_offset,
                              float[] dlamda,
                              int _dlamda_offset,
                              float[] w,
                              int _w_offset,
                              float[] q2,
                              int _q2_offset,
                              int[] indx,
                              int _indx_offset,
                              int[] indxc,
                              int _indxc_offset,
                              int[] indxp,
                              int _indxp_offset,
                              int[] coltyp,
                              int _coltyp_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD